# Class JMeterTreeNode

java.lang.Object
javax.swing.tree.DefaultMutableTreeNode
org.apache.jmeter.gui.tree.JMeterTreeNode

All Implemented Interfaces:
  `Serializable, Cloneable, MutableTreeNode, TreeNode, NamedTreeNode`

public class JMeterTreeNode extends DefaultMutableTreeNode implements NamedTreeNode

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class DefaultMutableTreeNode

`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

## Constructor Summary

Constructors
Constructor
Description
`JMeterTreeNode()`
`JMeterTreeNode(TestElement userObj, JMeterTreeModel treeModel)`

## Method Summary

Modifier and Type
Method
Description
`Enumeration`
`children()`
`JPopupMenu`
`createPopupMenu()`
`String`
`getDocAnchor()`
`ImageIcon`
`getIcon()`
`ImageIcon`
`getIcon(boolean enabled)`
`Collection<String>`
`getMenuCategories()`
`String`
`getName()`
`List<JMeterTreeNode>`
`getPathToThreadGroup()`
Return nodes to level 2
`String`
`getStaticLabel()`
`TestElement`
`getTestElement()`
`boolean`
`isEnabled()`
`boolean`
`isMarkedBySearch()`
Node is markedBySearch by a search
`void`
`nameChanged()`
`void`
`setEnabled(boolean enabled)`
`void`
`setMarkedBySearch(boolean tagged)`
Tag Node as result of a search
`void`
`setName(String name)`

### Methods inherited from class DefaultMutableTreeNode

`add, breadthFirstEnumeration, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JMeterTreeNode

public JMeterTreeNode()

### JMeterTreeNode

public JMeterTreeNode(TestElement userObj, JMeterTreeModel treeModel)

## Method Details

### isEnabled

public boolean isEnabled()

### setEnabled

public void setEnabled(boolean enabled)

### getPathToThreadGroup

public List<JMeterTreeNode> getPathToThreadGroup()
Return nodes to level 2

Returns:
  `List` of `JMeterTreeNode`s

### setMarkedBySearch

public void setMarkedBySearch(boolean tagged)
Tag Node as result of a search

Parameters:
  `tagged` - The flag to be used for tagging

### isMarkedBySearch

public boolean isMarkedBySearch()
Node is markedBySearch by a search

Returns:
  true if marked by search

### getIcon

public ImageIcon getIcon()

### getIcon

public ImageIcon getIcon(boolean enabled)

### getMenuCategories

public Collection<String> getMenuCategories()

### createPopupMenu

public JPopupMenu createPopupMenu()

### getTestElement

public TestElement getTestElement()

### getStaticLabel

public String getStaticLabel()

### getDocAnchor

public String getDocAnchor()

### setName

public void setName(String name)

Specified by:
  `setName` in interface `NamedTreeNode`

### getName

public String getName()

Specified by:
  `getName` in interface `NamedTreeNode`

### nameChanged

public void nameChanged()

Specified by:
  `nameChanged` in interface `NamedTreeNode`

### children

public Enumeration children()

Specified by:
  `children` in interface `TreeNode`
Overrides:
  `children` in class `DefaultMutableTreeNode`